Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2113377 - golang-github-x-cray-logrus-prefixed-formatter: FTBFS in Fedora rawhide/f37
Summary: golang-github-x-cray-logrus-prefixed-formatter: FTBFS in Fedora rawhide/f37
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-x-cray-logrus-prefixed-formatter
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Davide Cavalca
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-08-01 23:42 UTC by Fedora Release Engineering
Modified: 2023-08-07 02:06 UTC (History)
2 users (show)

Fixed In Version: golang-github-x-cray-logrus-prefixed-formatter-0.5.2-8.fc39 golang-github-x-cray-logrus-prefixed-formatter-0.5.2-8.fc38 golang-github-x-cray-logrus-prefixed-formatter-0.5.2-9.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-29 15:21:02 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2022-08-01 23:42 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2022-08-01 23:42 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2022-08-01 23:42 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2022-08-01 23:42:14 UTC
golang-github-x-cray-logrus-prefixed-formatter failed to build from source in Fedora rawhide/f37

https://koji.fedoraproject.org/koji/taskinfo?taskID=89798600


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
Please fix golang-github-x-cray-logrus-prefixed-formatter at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-x-cray-logrus-prefixed-formatter will be orphaned. Before branching of Fedora 38,
golang-github-x-cray-logrus-prefixed-formatter will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2022-08-01 23:42:17 UTC
Created attachment 1901559 [details]
build.log

Comment 2 Fedora Release Engineering 2022-08-01 23:42:18 UTC
Created attachment 1901560 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2022-08-01 23:42:20 UTC
Created attachment 1901561 [details]
state.log

Comment 4 Ben Cotton 2022-08-09 13:28:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Davide Cavalca 2022-08-24 20:19:46 UTC
Tests are failing because we're missing a BR:

formatter_test.go:7:2: cannot find package "github.com/onsi/ginkgo" in any of:

and this isn't actually packaged, so we'll need to do that first.

Comment 6 Ben Cotton 2023-02-07 15:10:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 7 Fedora Update System 2023-07-29 15:18:50 UTC
FEDORA-2023-0b98a6994a has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0b98a6994a

Comment 8 Fedora Update System 2023-07-29 15:21:02 UTC
FEDORA-2023-0b98a6994a has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-07-29 16:13:05 UTC
FEDORA-2023-2bd99fc2ed has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2bd99fc2ed

Comment 10 Fedora Update System 2023-07-29 16:48:00 UTC
FEDORA-2023-0310b69422 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0310b69422

Comment 11 Fedora Update System 2023-07-30 02:35:52 UTC
FEDORA-2023-2bd99fc2ed has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2bd99fc2ed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2bd99fc2ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-07-30 03:28:44 UTC
FEDORA-2023-0310b69422 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-0310b69422`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-0310b69422

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-08-07 01:25:57 UTC
FEDORA-2023-2bd99fc2ed has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2023-08-07 02:06:40 UTC
FEDORA-2023-0310b69422 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.